## org.eclipse.uml2.uml
Class UMLPlugin.GeneratedPackageRegistryReader

    java.lang.Object
      org.eclipse.emf.ecore.plugin.RegistryReader
          org.eclipse.uml2.uml.UMLPlugin.GeneratedPackageRegistryReader

Enclosing class:
  UMLPlugin

    protected static class UMLPlugin.GeneratedPackageRegistryReader

extends org.eclipse.emf.ecore.plugin.RegistryReader

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.plugin.RegistryReader
`org.eclipse.emf.ecore.plugin.RegistryReader.PluginClassDescriptor`

Field Summary
`protected static java.lang.String` `ATT_LOCATION`
`protected static java.lang.String` `ATT_URI`
`protected java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI>` `ePackageNsURIToProfileLocationMap`
`protected static java.lang.String` `TAG_PROFILE`

Fields inherited from class org.eclipse.emf.ecore.plugin.RegistryReader
`pluginRegistry, TAG_DESCRIPTION`

Constructor Summary
`protected` `UMLPlugin.GeneratedPackageRegistryReader()`
`protected` `UMLPlugin.GeneratedPackageRegistryReader(java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI> ePackageNsURIToProfileLocationMap)`

Method Summary
`protected boolean` `readElement(org.eclipse.core.runtime.IConfigurationElement element, boolean add)`

Methods inherited from class org.eclipse.emf.ecore.plugin.RegistryReader
`logError, logMissingAttribute, readElement, readRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_PROFILE

    protected static final java.lang.String TAG_PROFILE

See Also:
  Constant Field Values

### ATT_URI

    protected static final java.lang.String ATT_URI

See Also:
  Constant Field Values

### ATT_LOCATION

    protected static final java.lang.String ATT_LOCATION

See Also:
  Constant Field Values

### ePackageNsURIToProfileLocationMap

    protected java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI> ePackageNsURIToProfileLocationMap

Constructor Detail

### UMLPlugin.GeneratedPackageRegistryReader

    protected UMLPlugin.GeneratedPackageRegistryReader()

### UMLPlugin.GeneratedPackageRegistryReader

    protected UMLPlugin.GeneratedPackageRegistryReader(java.util.Map<java.lang.String,org.eclipse.emf.common.util.URI> ePackageNsURIToProfileLocationMap)

Method Detail

### readElement

    protected boolean readElement(org.eclipse.core.runtime.IConfigurationElement element,
                                  boolean add)

  Overrides:
    `readElement` in class `org.eclipse.emf.ecore.plugin.RegistryReader`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.